The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от opennews (??) on 01-Апр-17, 09:53 
Состоялся (http://lists.science.uu.nl/pipermail/nix-dev/2017-March/0233...) релиз дистрибутива NixOS 17.03 (http://nixos.org/), основанного на пакетном менеджере Nix (http://nixos.org/nix/) и предоставляющего ряд собственных разработок, упрощающих настройку и сопровождение системы. Например, в  NixOS используется единый файл системной конфигурации (configuration.nix), предоставляется возможность быстрого отката обновлений, присутствует поддержка переключения между различными состояниями системы, поддерживается установка индивидуальных пакетов отдельными пользователями (пакет ставится в домашнюю директорию), возможна одновременная установка нескольких версий одной программы. Размер полного установочного образа (https://nixos.org/nixos/download.html) с KDE - 790 Мб, сокращённого консольного варианта - 315 Мб.

В создании нового выпуска приняли участие 625 разработчиков, подготовивших 12479 изменений. Основные новшества (https://nixos.org/nixos/manual/release-notes.html#sec-releas...):

-  Добавлена возможность использования оверлеев (https://nixos.org/nixpkgs/manual/#sec-overlays-install) для расширения или изменения пакетов Nixpkgs. Оверлеи могут применяться для добавления дополнительных слоёв, влияющих на сборку всех зависимых пакетов. Например, через оверлеи можно изменить используемую версию Python или задействовать альтернативный набор библиотек;

-  Окружение рабочего стола переведено с KDE 4 на KDE Plasma 5;
-  Обновлены версии системных компонентов: ядро Linux 4.9, Glibc 2.25, GCC 5.4.0, systemd 232, пакетный менеджер Nix 1.11.8;
-  В обвязке для запуска приложений с повышенными привилегиями (setuid wrapper) обеспечена возможность выборочного предоставления отдельных привилегий через capabilities;
-  X.org server обновлён о ветки 1.19, но из-за несовместимости на уровне  ABI  работа проприетарных драйверов ati_unfree возможна только с  X.org server 1.17, а amdgpu-pro с 1.18;
-  Переписан код для организации кросскомпиляции;

-  Переработана функция overridePackages, вместо которой теперь предлагаются оверлеи;
-  По умолчанию задействован PHP 7.1;

-  Пакеты в репозитории nixpkgs теперь могут быть явно помечены как небезопасные, при наличии уязвимостей. Для установки таких пакетов  требуется (https://nixos.org/nixpkgs/manual/#sec-allow-insecure) определить переменную окружения "NIXPKGS_ALLOW_INSECURE=1";

-  Запрещено повторное использование идентификаторов  UID/GID, освободившихся после удаления пользователя или группы.

При использовании Nix пакеты устанавливаются в отдельное дерево директорий /nix/store или поддиректорию в каталоге пользователя. Например, пакет устанавливается как /nix/store/f6dvq84649f324959bh52r9vf7a0n3-firefox-52.0.0/, где "f6d4q8..." является уникальным идентификатором пакета, используемым для контроля зависимостей. Пакеты оформляются в виде контейнеров, содержащих необходимые для работы приложений компоненты.


Между пакетами возможно определение зависимостей, при этом для поиска наличия уже установленных зависимостей используется сканирование хэшей-идентификаторов в директории установленных пакетов.  Возможна как загрузка готовых бинарных пакетов из репозитория (при установке обновлений к бинарным пакетам загружаются только delta-изменения), так и сборка из исходных текстов со всеми зависимостями. Коллекция пакетов представлена в специальном репозитории Nixpkgs (http://nixos.org/nixpkgs/).


URL: http://lists.science.uu.nl/pipermail/nix-dev/2017-March/0233...
Новость: https://www.opennet.ru/opennews/art.shtml?num=46297

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  –1 +/
Сообщение от Аноним (??) on 01-Апр-17, 09:53 
Жаль, что с systemd.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

3. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +8 +/
Сообщение от Аноним (??) on 01-Апр-17, 10:44 
наоборот, очень хорошо
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

11. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  –2 +/
Сообщение от Аноним (??) on 01-Апр-17, 15:20 
Меня интересует как заdisale-ить сервис с помощью /etc/init.d/... самому "ваять"?
Ответить | Правка | ^ к родителю #1 | Наверх | Cообщить модератору

15. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +2 +/
Сообщение от Аноним (??) on 01-Апр-17, 17:14 
> Меня интересует как заdisale-ить сервис с помощью /etc/init.d/... самому "ваять"?

Вот и выросло поколение системдатнутых, кроме домыслов ничего о "старье" не знающих, но ценное мнение имеющих:
http://jdebp.eu/FGA/run-scripts-and-service-units-side-by-si...


virecover_enable="NO"


Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

2. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +5 +/
Сообщение от Аноним email(??) on 01-Апр-17, 10:36 
Вот все и отовсюду гонят на этот systemd. аОно живет, цветёт и пахнет.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

7. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +1 +/
Сообщение от freehck email(ok) on 01-Апр-17, 11:49 
Вот все и отовсюду гонят этот systemd. аОно разливается, зацветает и попахивает.
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

17. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  –1 +/
Сообщение от кельвин on 02-Апр-17, 19:08 
уже давно можно было форкнуть и исправить.
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

21. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от Аноним (??) on 03-Апр-17, 09:13 
Уже давно форкнули, только в дистрах менять не собираются.
Ответить | Правка | ^ к родителю #17 | Наверх | Cообщить модератору

12. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +3 +/
Сообщение от Аноним (??) on 01-Апр-17, 15:37 
Запахи разные бывают ;)
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

4. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от Аноним (??) on 01-Апр-17, 10:44 
У меня стоит nix на убунте. Хорошая штука, но зачем тянуть дистр из за нее, я не пойму.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

5. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +1 +/
Сообщение от marks on 01-Апр-17, 10:57 
Теоретически обещает быть хорош единый файл конфигурации. В арче его не хватает.
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

30. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от Аноним (??) on 03-Апр-17, 20:48 
Чтобы удобно конфигурить систему
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

6. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от Сергей (??) on 01-Апр-17, 11:47 
На repology видно обновление: https://repology.org/repository/nix_stable, но честно говоря количество и качество пакетов не впечатляет.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

8. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от freehck email(ok) on 01-Апр-17, 12:06 
Ну, если верить этому сайту, то NixOs имеет 12к пакетов в своей репем, что больше, чем в CentOS + Epel вместе взятых.

Правда, как-то странно они считают, ребятки эти. Вот у дебиана у них 21к пакетов, хотя ещё год назад в рассылке люди радовались, что перевалили за 50к пакетов. А... Или они по src-пакетам смотрят? Тогда всё вроде сходится.

Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

9. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от Аноним (??) on 01-Апр-17, 13:04 
В Nix явно побольше пакетов, чем в центоси. Вот сейчас как раз ставлю, погляжу как работают те пакеты, которые сам собирал и из copr-а брал. И если всё норм, буду перелезать на пакетный менеджер Nix.
Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

14. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от Jarrvizz on 01-Апр-17, 16:04 
В Debian'е реальных пакетов где-то 23-25 тысяч. Нужно считать количество тарболов с исходниками, а не сами .deb пакеты.
Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

18. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от Аноним (??) on 03-Апр-17, 03:03 
С центосью сравнивать это даже не смешно. Эталон ынтерпрайза - горстка пакетов 10летней давности - 640кб де хватит всем. Смотрим на нормальные дистры под которыми есть и/или можно собрать современный софт в силу наличия и актуальности зависимостей, инструментов и компиляторов - FreeBSD, Gentoo, да хоть бы та же ебунта - 25к пакетов, больше половины свежие. В никсе и 10к не набралось, свежих всего 4к.

А враньё дебиановцев не слушайте, это они странно считают. Каждый пакет но 3-4 раза - просто, -dev, -doc, -dbg и т.д.

Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

19. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от Аноним (??) on 03-Апр-17, 07:17 
> горстка пакетов 10летней давности - 640кб де хватит всем.

Обидно

Ответить | Правка | ^ к родителю #18 | Наверх | Cообщить модератору

20. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  –4 +/
Сообщение от freehck email(ok) on 03-Апр-17, 08:07 
> Смотрим на нормальные дистры под которыми есть и/или можно
> собрать современный софт в силу наличия и актуальности
> зависимостей, инструментов и компиляторов - FreeBSD, Gentoo, да
> хоть бы та же ебунта - 25к пакетов, больше половины свежие.

Окей, очередной глупый анонимус, может, ты можешь внятно объяснить на кой дьявол тебе такой свежак?

> А враньё дебиановцев не слушайте, это они странно считают. Каждый пакет но
> 3-4 раза - просто, -dev, -doc, -dbg и т.д.

Действительно, дробление результата сборки на несколько пакетов - это для того, чтобы увеличить их общее количество, а вовсе не для того, чтобы убрать ненужные файлы из системы пользователя. Какое "враньё", какое "коварство". Вот же мерзкие дебианщики.

Ответить | Правка | ^ к родителю #18 | Наверх | Cообщить модератору

23. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  –1 +/
Сообщение от Аноним (??) on 03-Апр-17, 15:29 
> Окей, очередной глупый анонимус, может, ты можешь внятно объяснить на кой дьявол тебе такой свежак?

Не, давай начнём с количества, которое ты в свою пользу ожидаемо нагло и трусливо проигнорировал. Ибо первый попавшийся пакет установленный на моей системе, которого нет в nix делает последнюю непригодной в использовании. Для меня лично, раз уж ты спросил меня, но на самом деле для всех кому нужен любой их 10к+ пакетов в ней отсутствующих. Ну, начнём по алфввиту. aarch64-binutils. Нету. Кроссразработка невозможна. Продолжать?

А что до версий, так это не понять тем кому нужна пишущая машинка вместо компьютера, кто не разрабатывает софт и кто не прочитал ни одного чейнджлога. Я вот прочитав новость о новом llvm иду и ставлю его (по правде, ставлю ещё задолго до новости) и сразу иду считать прирост производительности и вычищать новые диагностики в коде проектов над которыми работаю. Это так, чисто для примера.

> Действительно, дробление результата сборки на несколько пакетов

А где я написал, неумный хренпоймикто вбивший ник, что дробление плохо? Плохо считать его за отдельные пакеты. boost - это один boost, независимо от того в одном он пакете или в двух десятках помноженных на -dev и -dbg. И во многих дистрах он действительно один пакет. А дебианло считает свои кусочки и кичится этим, на деле ничего выдающегося из себя не представляя. Многие очень удивляются что по количеству пакетов "самый популярный линукс дистрибутив" немногим обгоняет "rip" freebsd. А по количеству свежих пакетов вообще ей соивает.

Ответить | Правка | ^ к родителю #20 | Наверх | Cообщить модератору

24. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от Аноним (??) on 03-Апр-17, 16:14 
>> Окей, очередной глупый анонимус, может, ты можешь внятно объяснить на кой дьявол тебе такой свежак?

А я добавлю в качестве примера travis который испольщуют в качестве ci чуть менее чем все. Так вот они большие любители тухлятинки, у них там precise который сдохнет окончательно в этом месяце и со скрипом только-толтко добавлена поддержка trusty, не намного более свежего. И что вы думаете, вместо того чтобы пользоваться их эффективной и навороченной контейнерной сборкой, народ просто ставит туда сотни пакетов из ppa или вообще щапускает докер с актуальным дистрибутивом. Потому что разрабатываться на гнилье невозможно ни в каком виде.

Ответить | Правка | ^ к родителю #23 | Наверх | Cообщить модератору

26. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  –1 +/
Сообщение от freehck email(ok) on 03-Апр-17, 17:30 
> А я добавлю в качестве примера travis который испольщуют в качестве ci чуть менее чем все.

Крайне смелое и притом ошибочное утверждение.

Ответить | Правка | ^ к родителю #24 | Наверх | Cообщить модератору

37. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от Аноним (??) on 04-Апр-17, 16:04 
То есть возразить нечего :)))
Ответить | Правка | ^ к родителю #26 | Наверх | Cообщить модератору

25. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  –3 +/
Сообщение от freehck email(ok) on 03-Апр-17, 17:21 
>> Окей, очередной глупый анонимус, может, ты можешь внятно объяснить на кой дьявол тебе такой свежак?
> Не, давай начнём с количества

А давайте не начнём? Я задал простой вопрос: зачем тебе пакеты максимально свежих версий?

> А что до версий, так это не понять тем

И как обычно вижу ответ: "ты - х*й".

>> Действительно, дробление результата сборки на несколько пакетов
> Плохо считать его за отдельные пакеты.

Наоборот. Количество бинарных пакетов - это характеристика гибкости системы. Правильно считать как раз бинарные пакеты: именно с ними работает пользователь.

> boost - это один boost, независимо от того в одном он пакете или в двух десятках помноженных на -dev и -dbg.

Нет, это именно что РАЗНЫЕ пакеты, содержащие:
1) готовые к линковке либы, необходимые в рантайме пользователю
2) (dev) заголовочные файлы, необходимые только разработчику
3) (dbg) символы дебага, необходимые разрабам, которые хотят исследовать анормальное поведение программы
4) (doc) документация, которая нафиг не нужна, например, на встраиваемой системе
5) и это мы ещё не говорим про дробление src-пакета <progname> на десяток <progname>-plugin-<pluginname>, что позволяет не захламлять систему всеми возможными плагинами, и имеет смысл для конечного пользователя

> А дебианло считает свои кусочки и кичится этим, на деле ничего
> выдающегося из себя не представляя.

Ты глупый анонимус, ты ничего не понял: хорошее дробление пакетов - это одна из главнейших фич, которые дистрибутив может предложить, помимо отлаженных мягких зависимостей между пакетами.

> Многие очень удивляются что по количеству пакетов "самый популярный
> линукс дистрибутив" немногим обгоняет "rip" freebsd.  А по
> количеству свежих пакетов вообще ей соивает.

Людям, которые *работают*, нужны не свежые версии пакетов. Им нужна *стабильная* система. Ты думаешь, почему RHEL/Centos используют до сих пор? Потому что стабильность в продакшене в миллион раз важнее новых фич. По этой же причине люди используют Debian для домашних систем: пользователю тоже в 99% случаев свежак не нужен, но нужна система, которая гарантирвоанно не поломается от внезапно прилетевшего апдейта.

Вот когда ты поймёшь, что для человека дела стабильность важнее свежести - вот тогда ты станешь хорошим разработчиком, и будешь работать для людей, а не просто играться с программками в своей личной песочнице.

Ответить | Правка | ^ к родителю #23 | Наверх | Cообщить модератору

29. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  –1 +/
Сообщение от Аноним (??) on 03-Апр-17, 18:47 
Ты почему-то называешь работой набирание текстиков в нотепаде, под которое и дос с лексиконом сгодятся. Они ещё стабильнее этих ваших центосов и менее требовательно. По возможностям такое же.
Ответить | Правка | ^ к родителю #25 | Наверх | Cообщить модератору

33. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от freehck email(ok) on 04-Апр-17, 10:04 
Глупый анонимус не знает, что стабильная система должна к тому же получать исправления уязвимостей?
Ответить | Правка | ^ к родителю #29 | Наверх | Cообщить модератору

34. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от Аноним (??) on 04-Апр-17, 10:37 
Ну да, это и есть вся разница. Ещё бы быть уверенным что все втихую закрытые в новых версиях апстрима уязвимости в центосе нашли и залатали. В никсе же этим просто некому заниматься.
Ответить | Правка | ^ к родителю #33 | Наверх | Cообщить модератору

36. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от freehck email(ok) on 04-Апр-17, 12:28 
По поводу центоси и рхела есть сомнения, ввиду того, что они лоббируют товарища Леннарта, который именно так и делает.

Ну, имхо, если апстрим закрывает уязвимости по-тихому, то это очень серьёзный повод не закладываться на него в работе.

Ответить | Правка | ^ к родителю #34 | Наверх | Cообщить модератору

27. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +2 +/
Сообщение от Анонимуз on 03-Апр-17, 17:30 
При всём уважении, Ынтерпрайз - это когда 10 лет всё работает без бубнов, а вы предлагаете для всех именно что пляски 24/365.
Ответить | Правка | ^ к родителю #18 | Наверх | Cообщить модератору

28. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  –1 +/
Сообщение от Аноним (??) on 03-Апр-17, 18:43 
> При всём уважении, Ынтерпрайз - это когда 10 лет всё работает без
> бубнов, а вы предлагаете для всех именно что пляски 24/365.

10 лет без бубнов значит 10 лет без развития, значит нахрен никому не нужно. Так и тот сервер ничего не делающий 10 лет работал с мёртвым винтом, с которого нечему нечего незачем было читать. Неработающую дохлятину оправдывают неработающей дохлятиной, норм.

Ответить | Правка | ^ к родителю #27 | Наверх | Cообщить модератору

32. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от freehck email(ok) on 04-Апр-17, 02:12 
> Так и тот сервер ничего не делающий 10 лет

В том-то и дело, что он 10 лет выполняет полезную работу и не требует вмешательства админа, потому что автоматически получает обновления безопасности, которые не гробят его, как в случае с твоим любимым роллингом.

Ответить | Правка | ^ к родителю #28 | Наверх | Cообщить модератору

10. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  –1 +/
Сообщение от Аноним (??) on 01-Апр-17, 14:55 
Годнота, никс/гикс - то каким станет Линукс через несколько лет.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

13. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  –1 +/
Сообщение от Аноним (??) on 01-Апр-17, 15:42 
Даже сайты стали появляться заточенные под просмотр в консоли: новость недельной давности про просмотр погоды в консоли. И Никс/Гикс пусть станут, но только без systemd-подобных штук.
Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

16. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от AlexYeCu (ok) on 02-Апр-17, 12:22 
Надеюсь, что нет.
Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

35. "Доступен дистрибутив NixOS 17.03, использующий пакетный мене..."  +/
Сообщение от Аноним (??) on 04-Апр-17, 10:38 
Ядро станет пакетным менеджером? Ты обкурился?
Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру